Bug 128516 - SIOCGIFNAME ioctl calls often cause the kernel to oops
SIOCGIFNAME ioctl calls often cause the kernel to oops
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-07-23 19:34 EDT by Michael Hamilton
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:35:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Reproduces SIOCGIFNAME oops (370 bytes, text/plain)
2004-07-23 19:35 EDT, Michael Hamilton
no flags Details
Sample oops (1.63 KB, text/plain)
2004-07-23 19:37 EDT, Michael Hamilton
no flags Details

  None (edit)
Description Michael Hamilton 2004-07-23 19:34:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
SIOCGIFNAME ioctl calls often cause the kernel to oops resulting in termination of critical daemons such as DNS - in my case this is seen with dnsmasq.  Otherwise the system remains stable.

This is fully reproducable using the attached c code as provided by Simon Kelly, the author of dnsmasq.

This only occurs with the Fedora versions of kernel 2.6 - stock 2.6.6 does not have this problem.

A temporary work around for dnsmasq is to use the bind-interfaces option in dnsmasq.conf - but this only helps the dns aspect - the problem will still occur if dnsmasq is serving DHCP.  Switching to a stock kernel also solves the problem.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358, kernel-2.6.6-1.435

How reproducible:

Steps to Reproduce:
1. cc fedorakiller.c -o fedorakiller
2. ./fedorakiller eth0
3. inspect /var/log/messages for errors.

Actual Results:  Oops are seen in the syslog.

Expected Results:  As with the vanilla 2.6 kernels - no oops should occur.

Additional info:
Comment 1 Michael Hamilton 2004-07-23 19:35:57 EDT
Created attachment 102187 [details]
Reproduces SIOCGIFNAME oops
Comment 2 Michael Hamilton 2004-07-23 19:37:18 EDT
Created attachment 102188 [details]
Sample oops
Comment 3 Dave Jones 2005-04-16 01:35:58 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.